package ru.ulstu.aspirant.service;

import org.springframework.stereotype.Service;
import ru.ulstu.admin.model.AspirantForm;
import ru.ulstu.aspirant.model.Aspirant;
import ru.ulstu.aspirant.repository.AspirantRepository;

import java.util.List;

@Service
public class AspirantService {
    private final AspirantRepository aspirantRepository;

    public AspirantService(AspirantRepository aspirantRepository) {
        this.aspirantRepository = aspirantRepository;
    }

    public List<Aspirant> getAspirants() {
        return aspirantRepository.findAll();
    }

    public Aspirant getAspirantById(Integer id) {
        return aspirantRepository.findById(id).orElseThrow(() -> new RuntimeException("Aspirant not found by id"));
    }

    public void save(Aspirant aspirant) {
        aspirantRepository.save(aspirant);
    }

    public void deleteAspirant(AspirantForm aspirantForm) {
        aspirantRepository.deleteById(aspirantForm.getId());
    }
}
